picard.vcf

## Class CollectVariantCallingMetrics.VariantCallingDetailMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.vcf.CollectVariantCallingMetrics.VariantCallingSummaryMetrics
    - - picard.vcf.CollectVariantCallingMetrics.VariantCallingDetailMetrics

- Enclosing class:
    CollectVariantCallingMetrics

      public static class CollectVariantCallingMetrics.VariantCallingDetailMetrics
      extends CollectVariantCallingMetrics.VariantCallingSummaryMetrics

  A collection of metrics relating to snps and indels within a variant-calling file (VCF) for a given sample.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `HET_HOMVAR_RATIO` (count of hets)/(count of homozygous non-ref) for this sample
    `String` | `SAMPLE_ALIAS` The name of the sample being assayed

    - ### Fields inherited from class picard.vcf.CollectVariantCallingMetrics.VariantCallingSummaryMetrics

      `DBSNP_INS_DEL_RATIO, DBSNP_TITV, FILTERED_INDELS, FILTERED_SNPS, NOVEL_INDELS, NOVEL_INS_DEL_RATIO, NOVEL_SNPS, NOVEL_TITV, NUM_IN_DB_SNP, NUM_IN_DB_SNP_COMPLEX_INDELS, NUM_IN_DB_SNP_INDELS, NUM_IN_DB_SNP_MULTIALLELIC, NUM_SINGLETONS, PCT_DBSNP, PCT_DBSNP_INDELS, SNP_REFERENCE_BIAS, TOTAL_COMPLEX_INDELS, TOTAL_INDELS, TOTAL_MULTIALLELIC_SNPS, TOTAL_SNPS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariantCallingDetailMetrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `foldInto(CollectVariantCallingMetrics.VariantCallingDetailMetrics target, Collection<CollectVariantCallingMetrics.VariantCallingDetailMetrics> metrics)`
    `static String` | `getFileExtension()`
    `void` | `updateDerivedValuesInPlace()`

    - ### Methods inherited from class picard.vcf.CollectVariantCallingMetrics.VariantCallingSummaryMetrics

      `foldInto`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SAMPLE_ALIAS

          public String SAMPLE_ALIAS

      The name of the sample being assayed

    - #### HET_HOMVAR_RATIO

          public double HET_HOMVAR_RATIO

      (count of hets)/(count of homozygous non-ref) for this sample

  - ### Constructor Detail

    - #### VariantCallingDetailMetrics

          public VariantCallingDetailMetrics()

  - ### Method Detail

    - #### getFileExtension

          public static String getFileExtension()

    - #### foldInto

          public static void foldInto(CollectVariantCallingMetrics.VariantCallingDetailMetrics target,
                                      Collection<CollectVariantCallingMetrics.VariantCallingDetailMetrics> metrics)

    - #### updateDerivedValuesInPlace

          public void updateDerivedValuesInPlace()

      Overrides:
        `updateDerivedValuesInPlace` in class `CollectVariantCallingMetrics.VariantCallingSummaryMetrics`